Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::String_out Class Reference

String_out. More...

`#include <CORBA_String.h>`

List of all members.

## Public Member Functions
| String_out (char *&p)
| Construction from a reference to a string.
| String_out (CORBA::String_var &p)
| Construction from a var.
| String_out (TAO_String_Manager &p)
| Construction from a TAO_String_Manager.
| String_out (const String_out &s)
| Copy constructor.
String_out & | operator= (const String_out &s)
| Assignment from a string_out.
String_out & | operator= (char *p)
| Assignment from a string.
String_out & | operator= (const char *p)
| Assignment from a constant char*.
| operator char *& ()
| Cast.
char *& | ptr (void)
| Return underlying instance.
## Private Member Functions
void | operator= (const CORBA::String_var &)
## Private Attributes
char *& | ptr_
| Instance.

## Detailed Description

String_out.

To support the memory management for "out" parameter passing mode. ORBOS/97-05-15, Appendix C.2 defines a CORBA::String_out class

## Constructor & Destructor Documentation

ACE_INLINE CORBA::String_out::String_out | ( | char *& | p | ) |

| Construction from a reference to a string.

ACE_INLINE CORBA::String_out::String_out | ( | CORBA::String_var & | p | ) |

| Construction from a var.

CORBA::String_out::String_out | ( | TAO_String_Manager & | p | ) |

| Construction from a TAO_String_Manager.

ACE_INLINE CORBA::String_out::String_out | ( | const String_out & | s | ) |

| Copy constructor.

## Member Function Documentation

ACE_INLINE CORBA::String_out::operator char *& | ( |  | ) |

| Cast.

void CORBA::String_out::operator= | ( | const CORBA::String_var & |  | ) | `[private]`

ACE_INLINE CORBA::String_out & CORBA::String_out::operator= | ( | const char * | p | ) |

| Assignment from a constant char*.

ACE_INLINE CORBA::String_out & CORBA::String_out::operator= | ( | char * | p | ) |

| Assignment from a string.

ACE_INLINE CORBA::String_out & CORBA::String_out::operator= | ( | const String_out & | s | ) |

| Assignment from a string_out.

ACE_INLINE char *& CORBA::String_out::ptr | ( | void |  | ) |

| Return underlying instance.

## Member Data Documentation

char*& CORBA::String_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl